#!/bin/bash
#PBS -l mppwidth=256
#PBS -l mppnppn=16
#PBS -l walltime=00:20:00             
#PBS -M m.hasert@grs-sim.de
#PBS -N Musubi_strong 
  
# Change to the direcotry that the job was submitted from
cd $PBS_O_WORKDIR

# Launch the parallel job to the allocated compute nodes

# set your correct enviroment if necessary
#. /opt/modules/3.1.63.1.6/init/bash
#module load mpich-126-pgi/6.2.5 pgi/6.2.5
executable=../../build/musubi

for nprocs in 256 192 128 112 96 64 32 16 8
do

aprun -n $nprocs $executable > my_output_file 2>&1

done
